使用pycharm来获取某些国外网站数据的时候,开启代理后会发现报错如下:

关闭代理又无法获取网站内容。

最后找到解决方案:

降低urllib3 的版本,需要1.25之前的。1.25之前最新的就是1.24.3

直接安装后就可以正常访问了。


一沙一世界,一花一天堂。君掌盛无边,刹那成永恒。